aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCorentin Henry <corentinhenry@gmail.com>2016-01-10 15:30:41 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-01-23 21:34:00 +0000
commitb5cfb653dbeb9651f374ddfec3ef3175f2f64bbe (patch)
treef47af6aa0c910508c14b8975a6c6d1187d33d547
parent5430981f4ec5b705effed2427e08c5abe10f6d68 (diff)
downloadaports-b5cfb653dbeb9651f374ddfec3ef3175f2f64bbe.tar.gz
aports-b5cfb653dbeb9651f374ddfec3ef3175f2f64bbe.tar.bz2
aports-b5cfb653dbeb9651f374ddfec3ef3175f2f64bbe.tar.xz
testing/httperf: new aport
http://httperf.googlecode.com/files/httperf-0.9.0.tar.gz An HTTP load generator
-rw-r--r--testing/httperf/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/httperf/APKBUILD b/testing/httperf/APKBUILD
new file mode 100644
index 0000000000..c8d2e81bfc
--- /dev/null
+++ b/testing/httperf/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor:
+# Maintainer: Corentin Henry <corentinhenry@gmail.com>
+pkgname=httperf
+pkgver=0.9.0
+pkgrel=0
+pkgdesc="A tool for measuring web server performance."
+url="https://github.com/httperf/httperf"
+arch="x86_64"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="openssl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tar.gz"
+
+_builddir=$srcdir/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="2968c36b9ecf3d98fc1f2c1c9c0d9341 httperf-0.9.0.tar.gz"
+sha256sums="e1a0bf56bcb746c04674c47b6cfa531fad24e45e9c6de02aea0d1c5f85a2bf1c httperf-0.9.0.tar.gz"
+sha512sums="58ea6a3b8a82181a89e5df22fdf18d5be8c7b533c404108702cc03fc727fb1599a43e620d83d41630f8a951d80e48ed99d0c3dd8469ee1fc7626449b777971e1 httperf-0.9.0.tar.gz"